
D4Science Infrastructure - Task #10995

Task # 10929 (Closed): Accounting Service Cluster dev/preprod

Change hostname to the VM that currently responds to accounting-service-d.d4science.org

Jan 19, 2018 07:57 PM - Andrea Dell'Amico

Status: Closed Start date: Jan 19, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: PreProd Infrastructure   

Infrastructure: Development, Pre-Production   

Description

Call it accounting-service2-d.dev.d4science.org, reconfigure it with the latest accounting-service software ad add it to the haproxy

backend.

Related issues:

Blocked by D4Science Infrastructure - Task #10931: Please create HAProxy inst... Closed Jan 15, 2018

History

#1 - Jan 19, 2018 07:58 PM - Andrea Dell'Amico

- Blocked by Task #10931: Please create HAProxy instance in front of accounting-service-d and accounting-service1-d added

#2 - Jan 23, 2018 04:57 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Jan 23, 2018 05:02 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The DNS has been changed. We need to wait for the records to update themselves.

#4 - Jan 23, 2018 05:54 PM - Luca Frosini

- Status changed from Feedback to Closed

I confirm that the service is usable by using accounting-service2-d.dev.d4science.org hostname

$ ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: 7c6

6c94c-7f6e-49cd-9a34-909cd3832f3e-98187548'  https://accounting-service2-d.dev.d4science.org:443/accounting-se

rvice/record  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service2-d.dev.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service2-d.dev.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-ECDSA-AES128-GCM-SHA256,256,128
TLS Server Name:        accounting-service2-d.dev.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   44.232 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      5360000 bytes

Total body sent:        7990000

HTML transferred:       0 bytes

Requests per second:    226.08 [#/sec] (mean)

Time per request:       4.423 [ms] (mean)

Time per request:       4.423 [ms] (mean, across all concurrent requests)

Transfer rate:          118.34 [Kbytes/sec] received

                        176.41 kb/s sent

                        294.74 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        2    3   3.1      3     254

Processing:     1    1   1.4      1      64

Waiting:        1    1   1.4      1      64

Total:          3    4   4.0      4     284

Percentage of the requests served within a certain time (ms)

  50%      4

  66%      4

  75%      4

  80%      5

  90%      5

  95%      5

  98%      7

  99%      9

 100%    284 (longest request)

#5 - Jan 23, 2018 05:57 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

- % Done changed from 100 to 80

I still have to phisically change the vm hostname, so I'll have to shut it down. I also did not provisioned it again yet (openjdk will be installed)

#6 - Jan 23, 2018 06:05 PM - Luca Frosini

roger

#7 - Jan 23, 2018 07:00 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

hostname changed. The VM has been provisioned in the same way as accounting-service1-d.dev.d4science.org. 
